summaryrefslogtreecommitdiffstats
path: root/deployment/deploy-jars_external-webstarttest.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
committerSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
commitb3e89bfa55389cae974c94afba6fb4ce118f75df (patch)
tree063f7d59cee39e3beeec7c17c74d10497d0fa8a5 /deployment/deploy-jars_external-webstarttest.sh
Provide deployment (jnlp) and hudson build aggregation scripts
Diffstat (limited to 'deployment/deploy-jars_external-webstarttest.sh')
-rwxr-xr-xdeployment/deploy-jars_external-webstarttest.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/deployment/deploy-jars_external-webstarttest.sh b/deployment/deploy-jars_external-webstarttest.sh
new file mode 100755
index 0000000..3fc1daa
--- /dev/null
+++ b/deployment/deploy-jars_external-webstarttest.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+ echo start this script from JOGL/jogl/make
+ exit 1
+fi
+
+SOURCE=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$SOURCE" -o -z "$wsdir" ] ; then
+ echo usage $0 source webstartdir
+ echo source might be [email protected]:webstart/
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+echo scp -v $SOURCE*natives* $wsdir
+scp -v $SOURCE*natives* $wsdir